%define sname         dsk

%define major         5
%define libname       %mklibname %sname %major
%define libname_devel %mklibname %sname -d

Name:           lib%sname
Summary:        A library for accessing floppy drives and disk images transparently
Version:        1.5.21
Release:        %mkrel 1
License:        LGPLv2+
Group:          System/Libraries
URL:            https://www.seasip.info/Unix/LibDsk/index.html
Source:         https://www.seasip.info/Unix/LibDsk/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  lyx

%description
LibDsk is a library intended to give transparent access to floppy drives and
to the "disc image files" used by emulators to represent floppy drives.

%package -n %{libname}
Summary:        A library for accessing floppy drives and disk images transparently
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
LibDsk is a library intended to give transparent access to floppy drives and
to the "disc image files" used by emulators to represent floppy drives.

Install the libdsk package if you need to manipulate DSK files. You should
also install the libdsk-progs package.

%package -n %{libname_devel}
Summary:        Development files for programs which will use the libdsk library
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %name-devel = %{version}-%{release}
Obsoletes:      %{_lib}dsk-static-devel < 1.4.2-2

%description -n %{libname_devel}
This package contains the header files and documentation necessary for
development of programs that will use the libdsk library to load and save
DSK format disc image files.

You should install this package if you need to develop programs which will
use the libdsk library functions for loading and saving DSK format disc
image files. You'll also need to install the libdsk package.

%package progs
Summary:        Programs for manipulating DSK format disc image files
Group:          Emulators

%description progs
The libdsk-progs package contains various programs for manipulating
DSK format disc image files.

Install this package if you need to manipulate DSK format disc image
files. You'll also need to install the libdsk package.

%prep
%autosetup -p1

# make autoreconf happy
%define automake_opts foreign
sed -i -e 's,\(^AM_INIT_AUTOMAKE\)\((\[\(.*\)\])\|(\(.*\))\|.*\),\1([%{automake_opts} \3\4]),' configure.ac

%build
%configure --disable-static
%make_build

%install
%make_install

%files -n %{libname}
%doc ChangeLog doc/COPYING doc/README doc/TODO
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{libname_devel}
%doc doc/COPYING doc/cfi.html doc/libdsk.*
%{_libdir}/lib*.so
%{_includedir}/*.h

%files progs
%doc doc/COPYING
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*


%changelog
* Tue Mar 25 2025 daviddavid <daviddavid> 1.5.21-1.mga10
+ Revision: 2169733
- new version: 1.5.21

* Fri Sep 20 2024 daviddavid <daviddavid> 1.5.20-1.mga10
+ Revision: 2099404
- new version: 1.5.20

* Thu Jan 12 2023 daviddavid <daviddavid> 1.5.19-1.mga9
+ Revision: 1932420
- new version: 1.5.19

* Tue Apr 05 2022 umeabot <umeabot> 1.5.15-2.mga9
+ Revision: 1844405
- Mageia 9 Mass Rebuild

* Wed Mar 10 2021 daviddavid <daviddavid> 1.5.15-1.mga9
+ Revision: 1701213
- new version: 1.5.15

* Sat Dec 26 2020 daviddavid <daviddavid> 1.5.14-1.mga8
+ Revision: 1663818
- new version: 1.5.14

* Sun Feb 16 2020 umeabot <umeabot> 1.5.12-2.mga8
+ Revision: 1530505
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Aug 30 2019 daviddavid <daviddavid> 1.5.12-1.mga8
+ Revision: 1435360
- new version: 1.5.12

* Wed Mar 06 2019 daviddavid <daviddavid> 1.5.10-1.mga7
+ Revision: 1371784
- new version: 1.5.10

* Fri Nov 30 2018 daviddavid <daviddavid> 1.5.9-1.mga7
+ Revision: 1336902
- new version: 1.5.9

* Sun Aug 26 2018 wally <wally> 1.5.8-2.mga7
+ Revision: 1254694
- fix build on aarch64

* Sun Aug 26 2018 daviddavid <daviddavid> 1.5.8-1.mga7
+ Revision: 1254670
- new version: 1.5.8
- now libmajor is 4
- disable static libraries and remove devel static sub-pkg

* Fri Apr 06 2018 kekepower <kekepower> 1.4.2-1.mga7
+ Revision: 1215719
- Update to version 1.4.2

* Thu Feb 11 2016 umeabot <umeabot> 1.3.8-2.mga6
+ Revision: 955454
- Mageia 6 Mass Rebuild

* Mon Jul 20 2015 sander85 <sander85> 1.3.8-1.mga6
+ Revision: 855763
- New version: 1.3.8

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-5.mga5
+ Revision: 750480
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-4.mga5
+ Revision: 681426
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.1-3.mga4
+ Revision: 506952
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2.1-2.mga3
+ Revision: 357018
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat May 14 2011 nanardon <nanardon> 1.2.1-1.mga1
+ Revision: 98701
- imported package libdsk


* Mon Jan 28 2008 Guillaume Bedot <littletux@zarb.org> 1.2.1-1plf2008.1
- 1.2.1

* Mon May 8 2006 Miguel Barrio Orsikowsky <megamik@zarb.org> 1.1.10-1plf
- 1.1.10

* Sun Mar 26 2006 Stefan van der Eijk <stefan@zarb.org> 1.1.9-1plf
- 1.1.9
- misc spec file changes

* Sun Jul 10 2005 Miguel Barrio Orsikowsky <megamik@zarb.org> 1.1.5-1plf
- new version

* Wed May 4 2005 Miguel Barrio Orsikowsky <megamik@zarb.org> 1.1.4-2plf
- added patch to fix CR-LFs in libdsk.h
- the --disable-rpath option in configure is not needed anymore

* Fri Apr 22 2005 Miguel Barrio Orsikowsky <megamik@zarb.org> 1.1.4-1plf
- new version

* Wed Feb 16 2005 Miguel Barrio Orsikowsky <megamik@zarb.org> 1.1.3-1plf
- new version

* Fri May 7 2004 Miguel Barrio Orsikowsky <megamik@zarb.org> 1.1.1-2plf
- introduce in PLF
- changed spec file to meet Mandrake's skel spec
- repackaged sources to bz2 format
- removed static-devel package

* Wed Apr 21 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.1-1mdk
- 1.1.1

* Sun Dec 14 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.0-6mdk
- introduce in contrib

* Tue Nov 4 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 1.0.0-5mdk
- removed some unnecesary commands from spec file
- disable rpath
- fixed some rpmlint errors

* Sat Nov 1 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 1.0.0-4mdk
- made lots of fixes and cosmetic changes to the spec file

* Thu May 22 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 1.0.0-3mdk
- added BuildRequires

* Tue May 13 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 1.0.0-2mdk
- unified %%changelog

* Thu Apr 24 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 1.0.0-1mdk
- first version of the package
- spec file written using Mandrake RPM HOWTO 1.1.1


